Bug 754678 - f16 pcp-import-sheet2pcp requires perl(Spreadsheet::Read)
Summary: f16 pcp-import-sheet2pcp requires perl(Spreadsheet::Read)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mark Goodwin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 773502
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-17 10:18 UTC by Walter Mueller
Modified: 2012-07-11 01:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-10 16:21:38 UTC
Type: ---


Attachments (Terms of Use)

Description Walter Mueller 2011-11-17 10:18:16 UTC
Description of problem: pcp-import-sheet2pcp requires perl(Spreadsheet::Read)


Version-Release number of selected component (if applicable):
pcp-import-sheet2pcp-3.5.0-1.2.fc16.x86_64

How reproducible: always


Steps to Reproduce:
1. yum install "pcp*"
2.
3.
  
Actual results:
Setting up Install Process
Resolving Dependencies
Skipping filters plugin, no data
--> Running transaction check
---> Package pcp.x86_64 0:3.5.0-1.2.fc16 will be installed
---> Package pcp-import-iostat2pcp.x86_64 0:3.5.0-1.2.fc16 will be installed
--> Processing Dependency: perl-PCP-LogImport >= 3.5.0 for package: pcp-import-iostat2pcp-3.5.0-1.2.fc16.x86_64
--> Processing Dependency: perl(PCP::LogImport) for package: pcp-import-iostat2pcp-3.5.0-1.2.fc16.x86_64
---> Package pcp-import-mrtg2pcp.x86_64 0:3.5.0-1.2.fc16 will be installed
---> Package pcp-import-sar2pcp.x86_64 0:3.5.0-1.2.fc16 will be installed
---> Package pcp-import-sheet2pcp.x86_64 0:3.5.0-1.2.fc16 will be installed
--> Processing Dependency: perl(Spreadsheet::Read) for package: pcp-import-sheet2pcp-3.5.0-1.2.fc16.x86_64
---> Package pcp-libs.x86_64 0:3.5.0-1.2.fc16 will be installed
---> Package pcp-libs-devel.x86_64 0:3.5.0-1.2.fc16 will be installed
--> Running transaction check
---> Package pcp-import-sheet2pcp.x86_64 0:3.5.0-1.2.fc16 will be installed
--> Processing Dependency: perl(Spreadsheet::Read) for package: pcp-import-sheet2pcp-3.5.0-1.2.fc16.x86_64
---> Package perl-PCP-LogImport.x86_64 0:3.5.0-1.2.fc16 will be installed
--> Finished Dependency Resolution
Error: Package: pcp-import-sheet2pcp-3.5.0-1.2.fc16.x86_64 (fedora)
           Requires: perl(Spreadsheet::Read)


Expected results:
 the pcp packages are installed

Additional info:

Comment 1 Mark Goodwin 2011-11-22 23:18:15 UTC
pcp-3.5.10-1 was recently released - I'll push this into Fedora and
alter the spec to remove the pcp-import-sheet2pcp sub-package.
That will resolve the issue until we can do something about getting
perl(Spreadsheet:read) into Fedora.

-- Mark

Comment 2 Mark Goodwin 2012-01-12 01:09:56 UTC
Created BZ 773502 - Review Request: perl-Spreadsheet-read - universal API to read any spreadsheet

This will resolve the dependency if we can get it into Fedora.

Comment 3 Fedora Update System 2012-06-22 03:42:56 UTC
pcp-3.6.3-1.el5.2 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.6.3-1.el5.2

Comment 4 Fedora Update System 2012-06-22 05:22:23 UTC
pcp-3.6.3-1.el6.2 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-3.6.3-1.el6.2

Comment 5 Fedora Update System 2012-06-22 05:23:55 UTC
pcp-3.6.3-1.fc16.2 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pcp-3.6.3-1.fc16.2

Comment 6 Fedora Update System 2012-06-22 05:24:23 UTC
pcp-3.6.3-1.fc15.2 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pcp-3.6.3-1.fc15.2

Comment 7 Fedora Update System 2012-06-22 05:25:17 UTC
pcp-3.6.3-1.fc17.2 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pcp-3.6.3-1.fc17.2

Comment 8 Fedora Update System 2012-06-22 15:59:42 UTC
Package pcp-3.6.3-1.el5.2:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pcp-3.6.3-1.el5.2'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6207/pcp-3.6.3-1.el5.2
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2012-07-10 16:21:38 UTC
pcp-3.6.3-1.fc17.2 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-07-10 16:30:45 UTC
pcp-3.6.3-1.fc16.2 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-07-11 01:36:20 UTC
pcp-3.6.3-1.el5.2 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-07-11 01:36:29 UTC
pcp-3.6.3-1.el6.2 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.